# Uses of Interface
org.springframework.jdbc.support.DatabaseMetaDataCallback

Packages that use DatabaseMetaDataCallback
Package
Description
org.springframework.jdbc.support
Support classes for the JDBC framework, used by the classes in the jdbc.core and jdbc.object packages.

## Uses of DatabaseMetaDataCallback in org.springframework.jdbc.support

Methods in org.springframework.jdbc.support with parameters of type DatabaseMetaDataCallback
Modifier and Type
Method
Description
`static <T> T`
JdbcUtils.`extractDatabaseMetaData(DataSource dataSource, DatabaseMetaDataCallback<T> action)`
Extract database meta-data via the given DatabaseMetaDataCallback.